import 'package:flutter/material.dart';
import 'package:rkm/config/color_palette.dart';
import 'package:rkm/widgets/text_default.dart';

class CheckBoxSubtitle extends StatelessWidget {

  double width;
  String subtitle;
  bool checkbox;
  var onChanged;
  double fontSize;

  CheckBoxSubtitle({
    this.width = double.infinity,
    required this.checkbox,
    required this.subtitle,
    required this.onChanged,
    this.fontSize = 15
});

  @override
  Widget build(BuildContext context) {

    return Container(
      width: width,
      child: Row(
        children: [
          Checkbox(
            value: checkbox,
            onChanged: onChanged
          ),
          Container(
            width: width,
            child: TextDefault(text: subtitle,fontSize: fontSize,color: ColorPalette.black54,)
          ),
        ],
      ),
    );
  }
}
